%global modname %(n=%{name}; echo ${n//-/_})

%global forgeurl https://github.com/Kentzo/git-archive-all

Version:        1.23.0

%global tag %{version}

%forgemeta

Name:           git-archive-all
Release:        3%{?dist}
Summary:        Archive git repository with its submodules
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# git-submodule is in git, not in git-core
Requires:       git

%description
%{summary}.

%prep
%forgesetup
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files
%license LICENSE.txt
%doc README.rst
%{_bindir}/%{name}
%{python3_sitelib}/%{modname}-*.dist-info/
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/%{modname}.*

%changelog
* Mon Nov 15 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 1.23.0-3
- Use forge macros

* Thu Sep 9 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 1.23.0-2
- Use pyproject rpm macros where appropriate

* Wed Feb 17 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 1.23.0-1
- Update to 1.23.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.17.1-9
- Rebuilt for Python 3.9

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.17.1-7
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.17.1-6
- Rebuilt for Python 3.8

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.17.1-2
- Rebuilt for Python 3.7

* Thu Feb 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.17.1-1
- Update to 1.17.1

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jul 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.16.4-1
- Update to 1.16.4

* Sat Mar 11 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.16-1
- Update to 1.16 (RHBZ #1428620)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 22 2016 Miro Hrončok <mhroncok@redhat.com> - 1.15-2
- Rebuild for Python 3.6

* Tue Dec 13 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.15-1
- Initial package
